#include "init_Input.h"

HRESULT init_input(HINSTANCE hinst, HWND hwnd, LPDIRECTINPUT *lpDI, LPDIRECTINPUTDEVICE *unite, unsigned char *ch) {

	ch[' '] = DIK_SPACE;
	ch['A'] = DIK_A;
	ch['B'] = DIK_B;
	ch['C'] = DIK_C;
	ch['D'] = DIK_D;
	ch['E'] = DIK_E;
	ch['F'] = DIK_F;
	ch['G'] = DIK_G;
	ch['H'] = DIK_H;
	ch['I'] = DIK_I;
	ch['J'] = DIK_J;
	ch['K'] = DIK_K;
	ch['L'] = DIK_L;
	ch['M'] = DIK_M;
	ch['N'] = DIK_N;
	ch['O'] = DIK_O;
	ch['P'] = DIK_P;
	ch['Q'] = DIK_Q;
	ch['R'] = DIK_R;
	ch['S'] = DIK_S;
	ch['T'] = DIK_T;
	ch['U'] = DIK_U;
	ch['V'] = DIK_V;
	ch['W'] = DIK_W;
	ch['X'] = DIK_X;
	ch['Y'] = DIK_Y;
	ch['Z'] = DIK_Z;
	ch[37] = DIK_LEFT;
	ch[38] = DIK_UP;
	ch[39] = DIK_RIGHT;
	ch[40] = DIK_DOWN;

	if(DirectInputCreate(hinst, DIRECTINPUT_VERSION, lpDI, NULL) != DI_OK)
		return E_FAIL;
	
	if((*lpDI)->CreateDevice(GUID_SysKeyboard, unite, NULL) != DI_OK)
		return E_FAIL;

	(*unite)->SetDataFormat(&c_dfDIKeyboard);

	if((*unite)->SetCooperativeLevel(hwnd, DISCL_FOREGROUND | DISCL_NONEXCLUSIVE) != DI_OK)
		return E_FAIL;

	return DI_OK;
	
}